// Code generated by go-swagger; DO NOT EDIT.

package azure

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/models"
)

// CreateAzureRegionalClusterReader is a Reader for the CreateAzureRegionalCluster structure.
type CreateAzureRegionalClusterReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *CreateAzureRegionalClusterReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {
	case 200:
		result := NewCreateAzureRegionalClusterOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil
	case 400:
		result := NewCreateAzureRegionalClusterBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 401:
		result := NewCreateAzureRegionalClusterUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 500:
		result := NewCreateAzureRegionalClusterInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewCreateAzureRegionalClusterOK creates a CreateAzureRegionalClusterOK with default headers values
func NewCreateAzureRegionalClusterOK() *CreateAzureRegionalClusterOK {
	return &CreateAzureRegionalClusterOK{}
}

/*CreateAzureRegionalClusterOK handles this case with default header values.

Creating regional cluster started successfully
*/
type CreateAzureRegionalClusterOK struct {
	Payload string
}

func (o *CreateAzureRegionalClusterOK) Error() string {
	return fmt.Sprintf("[POST /api/providers/azure/create][%d] createAzureRegionalClusterOK  %+v", 200, o.Payload)
}

func (o *CreateAzureRegionalClusterOK) GetPayload() string {
	return o.Payload
}

func (o *CreateAzureRegionalClusterOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	// response payload
	if err := consumer.Consume(response.Body(), &o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewCreateAzureRegionalClusterBadRequest creates a CreateAzureRegionalClusterBadRequest with default headers values
func NewCreateAzureRegionalClusterBadRequest() *CreateAzureRegionalClusterBadRequest {
	return &CreateAzureRegionalClusterBadRequest{}
}

/*CreateAzureRegionalClusterBadRequest handles this case with default header values.

Bad request
*/
type CreateAzureRegionalClusterBadRequest struct {
	Payload *models.Error
}

func (o *CreateAzureRegionalClusterBadRequest) Error() string {
	return fmt.Sprintf("[POST /api/providers/azure/create][%d] createAzureRegionalClusterBadRequest  %+v", 400, o.Payload)
}

func (o *CreateAzureRegionalClusterBadRequest) GetPayload() *models.Error {
	return o.Payload
}

func (o *CreateAzureRegionalClusterBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewCreateAzureRegionalClusterUnauthorized creates a CreateAzureRegionalClusterUnauthorized with default headers values
func NewCreateAzureRegionalClusterUnauthorized() *CreateAzureRegionalClusterUnauthorized {
	return &CreateAzureRegionalClusterUnauthorized{}
}

/*CreateAzureRegionalClusterUnauthorized handles this case with default header values.

Incorrect credentials
*/
type CreateAzureRegionalClusterUnauthorized struct {
	Payload *models.Error
}

func (o *CreateAzureRegionalClusterUnauthorized) Error() string {
	return fmt.Sprintf("[POST /api/providers/azure/create][%d] createAzureRegionalClusterUnauthorized  %+v", 401, o.Payload)
}

func (o *CreateAzureRegionalClusterUnauthorized) GetPayload() *models.Error {
	return o.Payload
}

func (o *CreateAzureRegionalClusterUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewCreateAzureRegionalClusterInternalServerError creates a CreateAzureRegionalClusterInternalServerError with default headers values
func NewCreateAzureRegionalClusterInternalServerError() *CreateAzureRegionalClusterInternalServerError {
	return &CreateAzureRegionalClusterInternalServerError{}
}

/*CreateAzureRegionalClusterInternalServerError handles this case with default header values.

Internal server error
*/
type CreateAzureRegionalClusterInternalServerError struct {
	Payload *models.Error
}

func (o *CreateAzureRegionalClusterInternalServerError) Error() string {
	return fmt.Sprintf("[POST /api/providers/azure/create][%d] createAzureRegionalClusterInternalServerError  %+v", 500, o.Payload)
}

func (o *CreateAzureRegionalClusterInternalServerError) GetPayload() *models.Error {
	return o.Payload
}

func (o *CreateAzureRegionalClusterInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
